> For the complete documentation index, see [llms.txt](https://docs.exoclick.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.exoclick.com/rtb/ru/izdateli/exoclick-rtb/bid-response.md).

# Ответ на ставку ExoClick RTB

На следующей странице описаны ответы, которые вы должны ожидать в ответ на RTB-запросы ExoClick:

## Объект ответа на ставку

Ответ на ставку ExoClick RTB формируется с использованием JSON и XML.

| Атрибут     | Описание                                                                                                                                           |
| ----------- | -------------------------------------------------------------------------------------------------------------------------------------------------- |
| id          | ID объекта, к которому относится эта ставка (string)                                                                                               |
| imgUrl      | URL изображения (только для типа banner) (string)                                                                                                  |
| iconUrl     | URL иконки (только для типа push\_notification; должен соответствовать запрошенным размерам) (string)                                              |
| clickUrl    | URL перехода при клике по кампании (для типа banner или push\_notification) (string)                                                               |
| nUrl        | URL уведомления о выигрыше (строка)                                                                                                                |
| url         | URL перехода при клике по кампании (только для типа popunder) (string)                                                                             |
| title       | Заголовок объявления (только для типа push\_notification) (string)                                                                                 |
| description | Описание объявления (только для типа push\_notification) (string)                                                                                  |
| value       | Цена ставки в CPM (float)                                                                                                                          |
| btype       | Модель ценообразования. Значения: 1 = CPM, 2 = CPC. По умолчанию = 1 (int). Когда ответ предназначен для запроса зоны Email Clicks, 1 = Smart CPC. |

**Примечания:**

* `"id"` атрибут должен соответствовать **"id, полученный в запросе"**.
* **Push-уведомление** формат объявления может получать ставки с моделью ценообразования CPC. **Direct Link** формат также может использоваться для **Email Click** запросов зоны.

## Уведомление о выигрыше

Когда параметр **Объект ответа на ставку > nUrl** есть в ответе на ставку, к такому URL должен быть выполнен GET-запрос.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.exoclick.com/rtb/ru/izdateli/exoclick-rtb/bid-response.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
